Analyze a compose source
curl --request POST \
--url https://app.miget.com/api/v1/stacks/analyze \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_url": "<string>",
"branch": "<string>",
"compose_path": "<string>",
"resource_id": "<string>",
"credential_id": "<string>"
}
'import requests
url = "https://app.miget.com/api/v1/stacks/analyze"
payload = {
"repository_url": "<string>",
"branch": "<string>",
"compose_path": "<string>",
"resource_id": "<string>",
"credential_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repository_url: '<string>',
branch: '<string>',
compose_path: '<string>',
resource_id: '<string>',
credential_id: '<string>'
})
};
fetch('https://app.miget.com/api/v1/stacks/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifest": {},
"warnings": [
"<unknown>"
]
}Stacks
Analyze a compose source
Detects the services, managed add-ons, volumes, and required environment variables from a docker-compose file in a Git repository, without creating a stack. Use the returned manifest to discover which required env vars need values before calling POST /stacks.
POST
/
api
/
v1
/
stacks
/
analyze
Analyze a compose source
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Body
application/json
Analyze a compose source
Git repository URL (GitHub or public HTTPS Git)
Git branch to analyze
Path to the docker-compose file within the repository (defaults to '.')
UUID of the target compute resource (used to derive the detection namespace)
UUID of a stored Git credential (for private repositories)
⌘I

